package com.ruoyi.syzy.domain;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * MBTI测评记录对象 b_busi_mbti_records
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@ApiModel("MBTI测评记录")
public class BBusiMbtiRecords extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    @ApiModelProperty("用户")
    private String customerCode;

    /** 测评批次 */
    @Excel(name = "测评批次")
    @ApiModelProperty("测评批次")
    private String code;

    /** 测评代码 */
    @Excel(name = "测评代码")
    @ApiModelProperty("测评代码")
    private String ruleCode;

    /** 外向分值 */
    @Excel(name = "外向分值")
    @ApiModelProperty("外向分值")
    private Integer scoreE;

    /** 内向分值 */
    @Excel(name = "内向分值")
    @ApiModelProperty("内向分值")
    private Integer scoreI;

    /** 实感分值 */
    @Excel(name = "实感分值")
    @ApiModelProperty("实感分值")
    private Integer scoreS;

    /** 直觉分值 */
    @Excel(name = "直觉分值")
    @ApiModelProperty("直觉分值")
    private Integer scoreN;

    /** 思考分值 */
    @Excel(name = "思考分值")
    @ApiModelProperty("思考分值")
    private Integer scoreT;

    /** 情感分值 */
    @Excel(name = "情感分值")
    @ApiModelProperty("情感分值")
    private Integer scoreF;

    /** 判断分值 */
    @Excel(name = "判断分值")
    @ApiModelProperty("判断分值")
    private Integer scoreJ;

    /** 认知分值 */
    @Excel(name = "认知分值")
    @ApiModelProperty("认知分值")
    private Integer scoreP;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("测评规则")
    private BBusiMbtiRules rule;

    @ApiModelProperty("测评明细")
    private List<BBusiMbtiRecordDetails> details;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setScoreE(Integer scoreE) {
        this.scoreE = scoreE;
    }

    public Integer getScoreE() {
        return scoreE;
    }

    public void setScoreI(Integer scoreI) {
        this.scoreI = scoreI;
    }

    public Integer getScoreI() {
        return scoreI;
    }

    public void setScoreS(Integer scoreS) {
        this.scoreS = scoreS;
    }

    public Integer getScoreS() {
        return scoreS;
    }

    public void setScoreN(Integer scoreN) {
        this.scoreN = scoreN;
    }

    public Integer getScoreN() {
        return scoreN;
    }

    public void setScoreT(Integer scoreT) {
        this.scoreT = scoreT;
    }

    public Integer getScoreT() {
        return scoreT;
    }

    public void setScoreF(Integer scoreF) {
        this.scoreF = scoreF;
    }

    public Integer getScoreF() {
        return scoreF;
    }

    public void setScoreJ(Integer scoreJ) {
        this.scoreJ = scoreJ;
    }

    public Integer getScoreJ() {
        return scoreJ;
    }

    public void setScoreP(Integer scoreP) {
        this.scoreP = scoreP;
    }

    public Integer getScoreP() {
        return scoreP;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public BBusiMbtiRules getRule() {
        return rule;
    }

    public void setRule(BBusiMbtiRules rule) {
        this.rule = rule;
    }

    public List<BBusiMbtiRecordDetails> getDetails() {
        return details;
    }

    public void setDetails(List<BBusiMbtiRecordDetails> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("customerCode", getCustomerCode())
            .append("code", getCode()).append("ruleCode", getRuleCode()).append("scoreE", getScoreE()).append("scoreI", getScoreI())
            .append("scoreS", getScoreS()).append("scoreN", getScoreN()).append("scoreT", getScoreT()).append("scoreF", getScoreF())
            .append("scoreJ", getScoreJ()).append("scoreP", getScoreP()).append("createTime", getCreateTime()).append("status", getStatus())
            .toString();
    }
}
